\section{Related Work} \label{sec:relatedwork}
Visan et al.~\cite{visan} assessed the security of Samsung Smart Things hub.
They first attempted to extract credentials from the hub using various traffic sniffing methods.
They also demonstrated that the hub is robust and secure.
However, they discovered that a DoS attack against the hub is possible, if the attacker has access to the LAN.
The attack would give an intruder an 8-minute window to break into a house before notifying the owner. Visan et al. argue that home security kits are not completely reliable.

Another good example is the work by Fernandes et al.~\cite{fernandes2016security}, which demonstrated again that despite the effort put into security, there may remain some security issues due to the complex nature of the products.
More precisely, they discovered vulnerabilities inside the architecture, in the capability model and the event subsystem of Samsung Smart Things, due to the numerous and complex functionalities exposed to the user.
By exploiting them, they managed to insert backdoor pin-codes into a connected door lock, eavesdrop door lock pin-codes, cause a fake fire alarm and disable the vacation mode of the device.
More importantly, those vulnerabilities were significant as they targeted the architecture of the application layer at its core, thus making them difficult to patch.

Apthrope et al.~\cite{apthrope} proved that users’ privacy can be breached without compromising devices or network communications.
They showed that any party having network access -- e.g. Internet Service Providers (ISPs) -- can infer sensitive information just by analysing network traffic.
They particularly analysed DNS requests, IP and TCP headers and packet rates to identify device types and user interaction.
For instance, they were able to determine if a user is sleeping by analysing a sleep sensor’s traffic, or if the user is moving inside a house by analysing a motion sensor’s traffic.
This work highlights that privacy is a critical challenge in IoT security, and it cannot be achieved with cryptography only.

Jerry Gamblin discovered that Google home assistant can be controlled by any device that has network access to the LAN.
The device can send commands to the assistant without any authentication and it can cause to reboot and even to disconnect from Wi-Fi.
This is due to an undocumented API that can be exploited by sending rogue commands~\cite{google}.

Very recently, OConnor et al.~\cite{oconnor2019blinded} uncovered a design flaw in the messaging protocols of 22 IoT devices.
The design flaw they uncovered is very similar to the weakness we discuss in this paper.
We independently carried out our research and developed a proof-of-concept automated tool to exploit this flaw.
